View Issue Details

IDProjectCategoryView StatusLast Update
0003021Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.164 
Target VersionFixed in Version6.5.0.196 
Summary0003021: Most files in Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\Defaults mention HB9DRV
DescriptionMost of the files in the "Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\Defaults" directory mention HB9DRV and have ancient (and ambiguous) dates. These files are at issue. Note that there's no clear information about these files: we don't know if they're used or not. If unused, they should be deleted. If used, they should be cleaned up.

AK9G.opt
Army Surplus.opt
Danielle's Amberglow.opt
Danielle's Blues.opt
Danielle's Borgcube.opt
Danielle's K2.opt
Danielle's Liquorice.opt
Danielle's Redeye.opt
Danielle's ts-2000.opt
Danielle's ts-480.opt
Danielle's Ultraviolet.opt
Dark.opt
Default.opt
general.css
Ginger.opt
Grey Scale.OPT
Greyfriars.OPT
HRD Countries.txt
HRD Parallel Port Defns.txt
HRD Satellite Favourites.txt
Igor'th Thpethial.opt
LCD.opt
Light.OPT
Matt, N8QQF.opt
N8PVZ's HRD Colour Scheme.opt
Night Vision.OPT
Nowt.opt
Oranges and Lemons.opt
PD5DP Blues.opt
Peter's Persuasion.opt
PG5S Icom.OPT
Plastic Blue.opt
Plastic Green.opt
Plastic Kahki.opt
Plastic Orange.opt
radionow.htm
Traditional.opt


Steps To Reproduce1) install HRD
2) Go to the Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\Defaults directory
3) examine the named files; they have a header something like this:

############################################################
#
#   Ham Radio Deluxe by Simon Brown, HB9DRV
#
#   Contents ..: Configuration Options
#   Created ...: 07/19/03 13:27:16
#
#   The contents of this file must not be changed if the
#   program is to operate correctly. To avoid problems,
#   please do NOT edit this file.
#
############################################################

TagsNo tags attached.
ModuleSetup
Sub-Module(select)
Testing Beta Successful

Activities

K7ZCZ

2019-01-24 10:00

manager   ~0007067

This checkin cleans up all of the *.opt files mentioned in this list.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4755

These files are accessed from the layout customization feature in Rig Control.

K7ZCZ

2019-01-24 10:01

manager   ~0007068

These files are left to clean up:

general.css
HRD Countries.txt
HRD Parallel Port Defns.txt
HRD Satellite Favourites.txt
radionow.htm

K7ZCZ

2019-01-24 10:06

manager   ~0007069

This checkin updates "HRD Parallel Port Defns.txt" and removes "HRD Countries.txt":
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4756

The "Parallel Port Defns" is used by the Parallel port feature in Rig Control.

The "HRD Countries.txt" file is unused, replaced by different data.

The remaining files to be cleaned-up with this Mantis issue are in this list:

general.css
HRD Satellite Favourites.txt
radionow.htm

K7ZCZ

2019-01-24 10:31

manager   ~0007070

these take care of the last three files ...

This checkin removes "HRD Satellite Favourites.txt", which isn't referenced in the code anywhere:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4758

This checkin removes "general.css" and "radionow.htm", which aren't used by the product:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4757

g3ucq

2019-02-01 03:28

viewer   ~0007194

Fixed. (Did not check them all!)

WA9PIE

2019-02-02 23:11

administrator   ~0007236

Validated; thanks John.

Issue History

Date Modified Username Field Change
2019-01-03 13:52 K7ZCZ New Issue
2019-01-24 10:00 K7ZCZ Note Added: 0007067
2019-01-24 10:01 K7ZCZ Note Added: 0007068
2019-01-24 10:06 K7ZCZ Note Added: 0007069
2019-01-24 10:31 K7ZCZ Assigned To => K7ZCZ
2019-01-24 10:31 K7ZCZ Status new => resolved
2019-01-24 10:31 K7ZCZ Resolution open => fixed
2019-01-24 10:31 K7ZCZ Note Added: 0007070
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-01 03:28 g3ucq Note Added: 0007194
2019-02-02 23:11 WA9PIE Status resolved => closed
2019-02-02 23:11 WA9PIE Description Updated View Revisions
2019-02-02 23:11 WA9PIE Testing Not Started => Beta Successful
2019-02-02 23:11 WA9PIE Note Added: 0007236
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe